#!/bin/bash
#
URL=$1
VERSION=$2


JSONVERSION=$(curl -ksL $URL | jq .version 2> /dev/null | sed s/\"//g)
EXITCODE=$?

if [ $EXITCODE -ne 0 ]; then
    echo "Could not get version from URL: $URL"
    exit 2
fi

if [ "$VERSION" != "$JSONVERSION" ]; then
    echo "Version missmatch, $JSONVERSION != $VERSION"
    exit 1
fi

echo "OK - Version: $JSONVERSION"
exit 0
